
#######################################################################
# This config file adds meta tag indexing to the global config file.
# During the search, both the global index and the tag index are 
# searched.  This is done in order to allow both global searching and
# tag searching.  According to the docs of swish-e it should work
# without the need for this trick, however it seems not to work.
# (
#   E.g. if I use the directive: MetaNames command
#   then the search for 'command=ls' will give results, but the
#   search for 'ls' will not give any results. With 2 indexes,
#   both of them will give results, however the search for
#   'command=ls and ls' will yield no results.
# )
#######################################################################

IncludeConfigFile global_index.cfg

# META names can be used to limit the search to just the words
# contained in that META name (or tag) of your document. 
#MetaNames *list of tags*
#MetaNames title bookinfo para

# Assigns aliases for a meta name.
#MetaNameAlias  *meta name*  *list of aliases*

# Defines the behavior during indexing when a meta name is found 
# but is not listed in MetaNames. 'auto' creates meta tags automatically
# for XML elements; using this is the same as specifying all the XML
# elements explicitly in a MetaNames directive. 
UndefinedMetaTags auto

# Allows indexing of attribute content, and provides a way to index
# the content under a metaname. E.g. in <person age="23">, 23 will be
# indexed under the metaname 'person.age'.
UndefinedXMLAttributes auto

# Combines an XML class name with the element name to make up a metaname.
#XMLClassAttributes *list of XML attribute names*

# Defines a list of metatags to ignore while indexing XML files.
#IgnoreMetaTags *list of tags*

